Subject: Re: [IPFIX] WG Last Call for draft-ietf-ipfix-rfc5815bis-00

From: Benoit Claise <[email-masked]>
Date: Mon, 19 Dec 2011 10:50:39 +0100

Dear all,

Apparently, this WGLC is finished.
That would be great if we could advance this draft.
As a reminder of the different references between the drafts:

draft-ietf-ipfix-configuration-model-10.txt  <http://www.rfc-editor.org/internet-drafts/draft-ietf-ipfix-configuration-model-10.txt>status is MISSREF on draft-ietf-ipfix-psamp-mib

draft-ietf-ipfix-psamp-mib-04.txt  <https://datatracker.ietf.org/doc/draft-ietf-ipfix-psamp-mib/>  status is Waiting for AD Go-Ahead, because of the following normative reference

       [I-D.dkcm-ipfix-rfc5815bis]
                   Dietz, T., Kobayashi, A., Claise, B., and G. Muenz,
                   "Definitions of Managed Objects for IP Flow Information
                   Export", draft-dkcm-ipfix-rfc5815bis-00 (work in
                   progress), October 2011.

                Note: This reference is actually 
draft-ietf-ipfix-rfc5815bis-00

Conclusion: draft-ietf-ipfix-rfc5815bis-00 is the bottleneck to publish 
3 RFCs

Regards, Benoit.
>
> Hi all:
>
> As discussed at last week's meeting, the WG Last Call for this
> draft (updated version of the IPFIX MIB) starts now, and will
> end on Wednesday, 7 December.  If you have comments on this,
> please email them to the IPFIX list.
>
> Cheers, Nevil
>

---

From: Paul Aitken <[email-masked]>
Date: Mon, 19 Dec 2011 11:08:10 +0000

Benoit,

That's nice. However, I didn't see _any_ feedback.

Did anyone review it?

So let me do that now:

Firstly, you haven't addressed _any_ of the 5815 errata. There are five. 
Please address them in -bis.

http://www.rfc-editor.org/errata_search.php?rfc=5815&rec_status=15&presentation=table

Otherwise my comments are only editorial:

Section 6:

     "{ ipfixSelectorFunctions 1}"

     - Whitespace imbalance around the { }.

Section 6:

     "The specification of new MIB objects SHOULD follow the structure 
specified in the next Section"

     - The next section is "6.1 The Selector Functions". Perhaps you 
mean "8.  MIB Definitions"? So it would be better to state the exact 
section number.

Section 6:

     - as a general comment, this would benefit from being broken into a 
few smaller paragraphs to improve readability.

Section 7.1:

     "the ENTITY MIB module[RFC4133]"

     - the reference runs into the text. Add space.

Section 8.2:

     Description

     "subject to Expert Review  RFC 5226"

     - too much space this time! :-)

     "RFC [NewRFCNumber]"

     - to make the RFC Editor's job easier, use either "NewRFCNumber" or 
"THISrfc", not both.

Section 10:

     Further on, IANA will maintain ...

     "Further on" implies "at some time in the future", which seems 
vague. I'd just drop those words and state, "IANA will create and 
maintain ...".

P.

On 19/12/11 09:50, Benoit Claise wrote:
> Conclusion: draft-ietf-ipfix-rfc5815bis-00 is the bottleneck to 
> publish 3 RFCs
>
> Regards, Benoit.
>>
>> Hi all:
>>
> _______________________________________________
> IPFIX mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/ipfix

---

From: Benoit Claise <[email-masked]>
Date: Mon, 19 Dec 2011 15:03:30 +0100

Paul,

You're right, we overlooked the errata. This is the reason why the 
reviews are required ;-)
We'll correct this.

Regards, Benoit.

> Firstly, you haven't addressed _any_ of the 5815 errata. There are 
> five. Please address them in -bis.
>
>     - as a general comment, this would benefit from being broken into 
> a few smaller paragraphs to improve readability.
>
>
>
> Section 7.1:
>
>     - to make the RFC Editor's job easier, use either "NewRFCNumber" 
> or "THISrfc", not both.
>
>
>
> Section 10:
>